[wpa-supplicant] Wireless-extension v19

Jouni Malinen jkmaline at cc.hut.fi
Sun Sep 18 23:43:34 EDT 2005


On Fri, Sep 09, 2005 at 09:10:33PM +0200, Benoit Boissinot wrote:
> On Fri, Sep 09, 2005 at 10:04:52AM -0700, Jean Tourrilhes wrote:
> > On Fri, Sep 09, 2005 at 02:20:01PM +0200, Benoit Boissinot wrote:
> > > Version 19 of Wireless Extension is now in Linus git tree. It broke
> > > wpa_supplicant for me (because of changes in iw_handler.h).

> > 	I believe the most appropriate fix would be to make this
> > function use iw_extract_event_stream() available in iwlib.c, which
> > does all this magic behind the scenes since WT-27-pre25 (available in
> > all good distro).

> Thanks for the comments, here is a revised version (tested with WPA2/RSN
> and 2.6.13-mm2).

This does not work with WE-18 and I would assume the same is true for
the previous patch since the problem is in the changes in wireless.h. It
looks like IW_EV_POINT_LEN changed and if wpa_supplicant is built with
wireless.h from v19, older versions do not work. This is quite
unfortunate.

I did not realize that WE-19 is changing kernel-user space interface in
a backwards incompatible way. If I had, I would have objected to it.

Jean, have I misunderstood something or is this really changing the
event messages in a way that all user space programs need to be
recompiled or actually even worse, if they use IW_EV_POINT_LEN, modified
to support both old and new format and then recompiled? If that is the
case, was this change really needed?

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list